= render "projects/commits/head"
%h3.page-title
  = t("projects_section.branches.branches")
  .pull-right
    - if can? current_user, :push_code, @project
      = link_to new_project_branch_path(@project), class: 'btn btn-create' do
        %i.icon-add-sign
        = t("projects_section.branches.new_branch")
      &nbsp;
    .dropdown.inline
      %a.dropdown-toggle.btn{href: '#', "data-toggle" => "dropdown"}
        %span.light
          = t("projects_section.branches.sort")
        - if @sort.present?
          = @sort.humanize
        - else
          = t("projects_section.branches.name")
        %b.caret
      %ul.dropdown-menu
        %li
          = link_to project_branches_path(sort: nil) do
            = t("projects_section.branches.name")
          = link_to project_branches_path(sort: 'recently_updated') do
            = t("projects_section.branches.recently_updated")
          = link_to project_branches_path(sort: 'last_updated') do
            = t("projects_section.branches.last_updated")
%hr
- unless @branches.empty?
  %ul.bordered-list.top-list.all-branches
    - @branches.each do |branch|
      = render "projects/branches/branch", branch: branch
  = paginate @branches, theme: 'gitlab'
